package com.me.common.ecs;

public abstract class BaseSystem {

    protected Engine engine;

    public BaseSystem(Engine engine) {
        this.engine = engine;
    }

    public void preProcess() {}

    public abstract void process(float dt);

    public void postProcess() {}

}
